Se você alguma vez tentou usar generics em um jsp, já deve ter se deparado com o seguinte erro:

generics are not supported in -source 1.3 (use -source 5 or higher to enable generics)

Se já passou por isso, você deve fazer o seguinte para compilar os .jsp usando java 6:

  • Edite o arquivo ${CATALINHA_HOME}/conf/web.xml
  • Localize o servlet que trata dos arquivos .jsp, e adicione os seguintes parâmetros, logo abaixo do parâmetro xpoweredBy:
<init-param>
	<param-name>compilerSourceVM</param-name>
	<param-value>6</param-value>
</init-param>

<init-param>
	<param-name>compilerTargetVM</param-name>
    <param-value>6</param-value>
</init-param>
  • Reinicie o Tomcat, e tente carregar o .jsp novamente.

Se quiser usar esta dica com java 1.5, basta trocar 6 por 5 em param-value.